Support LQ: Use code LQ3 and save $3 on Domain Registration
Go Back > Forums > Linux Forums > Linux - Security
User Name
Linux - Security This forum is for all security related questions.
Questions, tips, system compromises, firewalls, etc. are all included here.


  Search this Thread
Old 07-10-2004, 12:49 PM   #1
Registered: Jul 2003
Location: Dallas, TX
Distribution: Ubuntu 10.04 LTS
Posts: 987

Rep: Reputation: 30
will grsecurity kernel 2.6.5 patch work against 2.6.7?

most of the time, versions for kernels don't make too much difference, but kernel 2.6.5 and 2.6.7 are pretty different, as 2.6.6 implemented things that boosted enterprise kernel performance

will the 2.6.5 kernel patch for grsecurity work correctly if patched against a mainline 2.6.7 kernel?
Old 07-11-2004, 09:48 PM   #2
LQ Guru
Registered: Apr 2003
Location: nottingham england
Distribution: Gentoo
Posts: 2,672

Rep: Reputation: 47
you would be better getting the correct kernel patch version !
but if its not available.. then try it. whats the worst that could happen... you will waste 30 mins compiling a useless kernel. not the end of the world, just be sure to backup.
Old 07-11-2004, 10:37 PM   #3
Senior Member
Registered: Mar 2003
Distribution: Fedora
Posts: 3,658

Rep: Reputation: 65
There isn't an official 2.6.7 version yet, however there is an un-official "beta" version for 2.6.7 available here: . Post includes a note that 2.6.7 should be out soon.
Old 07-12-2004, 07:27 PM   #4
Registered: Jul 2003
Location: Dallas, TX
Distribution: Ubuntu 10.04 LTS
Posts: 987

Original Poster
Rep: Reputation: 30
thanx, that is just what i needed to know

the reason i posted here before actually experimenting myself is because my linux box's are preoccupied with some serving that needs to be constant for now.... I didn't want to tick off the people who need the files from my computer


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off

Similar Threads
Thread Thread Starter Forum Replies Last Post
bootsplash kernel patch for 2.6.12 wil not work CPUFreak91 Linux - Software 2 09-10-2005 02:35 PM
[ Debian + kernel 2.6.7 + grsecurity + ATI drivers ] Panquekas Linux - Software 0 07-23-2004 08:13 PM
How to Apply patch for Mass Storage device to work? (uss725-2.4.20-rc2.patch) cevjr Linux - Hardware 3 04-21-2004 12:14 AM
INFO: creating a special secured kernel (grsecurity kernel patch) w sysctl config markus1982 Linux - Security 0 05-25-2003 06:29 AM
grsecurity post-kernel configs tarballedtux Linux - Security 3 09-25-2002 08:30 PM

All times are GMT -5. The time now is 05:01 PM.

Main Menu
Write for LQ is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration